Up

# NSXPCConnection documentation

### Authors

Gregory Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSXPCConnection class
2. Software documentation for the NSXPCInterface class
3. Software documentation for the NSXPCListener class
4. Software documentation for the NSXPCListenerEndpoint class
5. Software documentation for the NSXPCListenerDelegate protocol
6. Software documentation for the NSXPCProxyCreating protocol

# Software documentation for the NSXPCConnection class

## NSXPCConnection : NSObject

> Declared in:
>   Foundation/NSXPCConnection.h

> Conforms to:
>   NSXPCProxyCreating

Availability: MacOS-X 10.8.0
Description forthcoming.
Method summary

- -auditSessionIdentifier
- -effectiveGroupIdentifier
- -effectiveUserIdentifier
- -endpoint
- -exportedInterface
- -initWithListenerEndpoint:
- -initWithMachServiceName:options:
- -initWithServiceName:
- -interruptionHandler
- -invalidate
- -invalidationHandler
- -processIdentifier
- -remoteObjectInterface
- -remoteObjectProxy
- -remoteObjectProxyWithErrorHandler:
- -resume
- -serviceName
- -setEndpoint:
- -setExportInterface:
- -setInterruptionHandler:
- -setInvalidationHandler:
- -setRemoteObjectInterface:
- -setRemoteObjectProxy:
- -setServiceName:
- -suspend
- -synchronousRemoteObjectProxyWithErrorHandler:

### auditSessionIdentifier

- (NSUInteger) auditSessionIdentifier;
Availability: MacOS-X 10.8.0
Description forthcoming.

### effectiveGroupIdentifier

- (gid_t) effectiveGroupIdentifier;
Availability: MacOS-X 10.8.0
Description forthcoming.

### effectiveUserIdentifier

- (uid_t) effectiveUserIdentifier;
Availability: MacOS-X 10.8.0
Description forthcoming.

### endpoint

- (NSXPCListenerEndpoint*) endpoint;
Availability: MacOS-X 10.8.0
Description forthcoming.

### exportedInterface

- (NSXPCInterface*) exportedInterface;
Availability: MacOS-X 10.8.0
Description forthcoming.

### initWithListenerEndpoint:

- (instancetype) initWithListenerEndpoint: (NSXPCListenerEndpoint*)endpoint;
Availability: MacOS-X 10.8.0
Description forthcoming.

### initWithMachServiceName: options:

- (instancetype) initWithMachServiceName: (NSString*)name options: (NSXPCConnectionOptions)options;
Availability: MacOS-X 10.8.0
Description forthcoming.

### initWithServiceName:

- (instancetype) initWithServiceName: (NSString*)serviceName;
Availability: MacOS-X 10.8.0
Description forthcoming.

### interruptionHandler

- (GSXPCInterruptionHandler) interruptionHandler;
Availability: MacOS-X 10.8.0
Description forthcoming.

### invalidate

- (void) invalidate;
Availability: MacOS-X 10.8.0
Description forthcoming.

### invalidationHandler

- (GSXPCInvalidationHandler) invalidationHandler;
Availability: MacOS-X 10.8.0
Description forthcoming.

### processIdentifier

- (pid_t) processIdentifier;
Availability: MacOS-X 10.8.0
Description forthcoming.

### remoteObjectInterface

- (NSXPCInterface*) remoteObjectInterface;
Availability: MacOS-X 10.8.0
Description forthcoming.

### remoteObjectProxy

- (id) remoteObjectProxy;
Availability: MacOS-X 10.8.0
Description forthcoming.

### remoteObjectProxyWithErrorHandler:

- (id) remoteObjectProxyWithErrorHandler: (GSXPCProxyErrorHandler)handler;
Availability: MacOS-X 10.8.0
Description forthcoming.

### resume

- (void) resume;
Availability: MacOS-X 10.8.0
Description forthcoming.

### serviceName

- (NSString*) serviceName;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setEndpoint:

- (void) setEndpoint: (NSXPCListenerEndpoint*)endpoint;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setExportInterface:

- (void) setExportInterface: (NSXPCInterface*)exportedInterface;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setInterruptionHandler:

- (void) setInterruptionHandler: (GSXPCInterruptionHandler)handler;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setInvalidationHandler:

- (void) setInvalidationHandler: (GSXPCInvalidationHandler)handler;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setRemoteObjectInterface:

- (void) setRemoteObjectInterface: (NSXPCInterface*)remoteObjectInterface;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setRemoteObjectProxy:

- (void) setRemoteObjectProxy: (id)remoteObjectProxy;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setServiceName:

- (void) setServiceName: (NSString*)serviceName;
Availability: MacOS-X 10.8.0
Description forthcoming.

### suspend

- (void) suspend;
Availability: MacOS-X 10.8.0
Description forthcoming.

### synchronousRemoteObjectProxyWithErrorHandler:

- (id) synchronousRemoteObjectProxyWithErrorHandler: (GSXPCProxyErrorHandler)handler;
Availability: MacOS-X 10.8.0
Description forthcoming.

# Software documentation for the NSXPCInterface class

## NSXPCInterface : NSObject

> Declared in:
>   Foundation/NSXPCConnection.h

Availability: MacOS-X 10.8.0
Description forthcoming.
Method summary

- +interfaceWithProtocol:
- -classesForSelector:argumentIndex:ofReply:
- -interfaceForSelector:argumentIndex:ofReply:
- -protocol
- -setClasses:forSelector:argumentIndex:ofReply:
- -setInterface:forSelector:argumentIndex:ofReply:
- -setProtocol:

### interfaceWithProtocol:

+ (NSXPCInterface*) interfaceWithProtocol: (Protocol*)protocol;
Availability: MacOS-X 10.8.0
Description forthcoming.

### classesForSelector: argumentIndex: ofReply:

- (NSSet*) classesForSelector: (SEL)sel argumentIndex: (NSUInteger)arg ofReply: (BOOL)ofReply;
Availability: MacOS-X 10.8.0
Description forthcoming.

### interfaceForSelector: argumentIndex: ofReply:

- (NSXPCInterface*) interfaceForSelector: (SEL)sel argumentIndex: (NSUInteger)arg ofReply: (BOOL)ofReply;
Availability: MacOS-X 10.8.0
Description forthcoming.

### protocol

- (Protocol*) protocol;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setClasses: forSelector: argumentIndex: ofReply:

- (void) setClasses: (NSSet*)classes forSelector: (SEL)sel argumentIndex: (NSUInteger)arg ofReply: (BOOL)ofReply;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setInterface: forSelector: argumentIndex: ofReply:

- (void) setInterface: (NSXPCInterface*)ifc forSelector: (SEL)sel argumentIndex: (NSUInteger)arg ofReply: (BOOL)ofReply;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setProtocol:

- (void) setProtocol: (Protocol*)protocol;
Availability: MacOS-X 10.8.0
Description forthcoming.

# Software documentation for the NSXPCListener class

## NSXPCListener : NSObject

> Declared in:
>   Foundation/NSXPCConnection.h

Availability: MacOS-X 10.8.0
Description forthcoming.
Method summary

- +anonymousListener
- +serviceListener
- -delegate
- -endpoint
- -initWithMachServiceName:
- -invalidate
- -resume
- -setDelegate:
- -setEndpoint:
- -suspend

### anonymousListener

+ (NSXPCListener*) anonymousListener;
Availability: MacOS-X 10.8.0
Description forthcoming.

### serviceListener

+ (NSXPCListener*) serviceListener;
Availability: MacOS-X 10.8.0
Description forthcoming.

### delegate

- (id<NSXPCListenerDelegate>) delegate;
Availability: MacOS-X 10.8.0
Description forthcoming.

### endpoint

- (NSXPCListenerEndpoint*) endpoint;
Availability: MacOS-X 10.8.0
Description forthcoming.

### initWithMachServiceName:

- (instancetype) initWithMachServiceName: (NSString*)name;
Availability: MacOS-X 10.8.0
Description forthcoming.

### invalidate

- (void) invalidate;
Availability: MacOS-X 10.8.0
Description forthcoming.

### resume

- (void) resume;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setDelegate:

- (void) setDelegate: (id<NSXPCListenerDelegate>)delegate;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setEndpoint:

- (void) setEndpoint: (NSXPCListenerEndpoint*)endpoint;
Availability: MacOS-X 10.8.0
Description forthcoming.

### suspend

- (void) suspend;
Availability: MacOS-X 10.8.0
Description forthcoming.

# Software documentation for the NSXPCListenerEndpoint class

## NSXPCListenerEndpoint : NSObject

> Declared in:
>   Foundation/NSXPCConnection.h

> Conforms to:
>   NSCoding

Availability: MacOS-X 10.8.0
Description forthcoming.

# Software documentation for the NSXPCListenerDelegate protocol

## NSXPCListenerDelegate

> Declared in:
>   Foundation/NSXPCConnection.h

> Conforms to:
>   NSObject

Availability: MacOS-X 10.8.0
Description forthcoming.
Method summary

- -listener:shouldAcceptNewConnection:

### listener: shouldAcceptNewConnection:

- (BOOL) listener: (NSXPCListener*)listener shouldAcceptNewConnection: (NSXPCConnection*)newConnection;
Availability: MacOS-X 10.8.0
Description forthcoming.

# Software documentation for the NSXPCProxyCreating protocol

## NSXPCProxyCreating

> Declared in:
>   Foundation/NSXPCConnection.h

Availability: MacOS-X 10.8.0
Description forthcoming.
Method summary

- -remoteObjectProxy
- -remoteObjectProxyWithErrorHandler:
- -synchronousRemoteObjectProxyWithErrorHandler:

### remoteObjectProxy

- (id) remoteObjectProxy;
Availability: MacOS-X 10.8.0
Description forthcoming.

### remoteObjectProxyWithErrorHandler:

- (id) remoteObjectProxyWithErrorHandler: (GSXPCProxyErrorHandler)handler;
Availability: MacOS-X 10.8.0
Description forthcoming.

### synchronousRemoteObjectProxyWithErrorHandler:

- (id) synchronousRemoteObjectProxyWithErrorHandler: (GSXPCProxyErrorHandler)handler;
Availability: MacOS-X 10.8.0
Description forthcoming.

Up